package gov.nih.nlm.nls.lexCheck.install.Setup;

import java.util.*;
import java.io.*;

import gov.nih.nlm.nls.lexCheck.install.utils.*;

/**
* This class is to generate lexCheck configuration file
*/
public class Configure
{
  	// Public Methods
	/**
	* Method ConfigureConfigFile 
	* The config file is  data/config/lexCheck.properties
	* It needs to the have current path changed in it,
	* and the database settings changed if mysql is
	* being used. 
	*/
	public static void ConfigureConfigFile() throws Exception
	{
		// Set the ___LC_DIR___ 
		String rootDir = InstallObject.GetRootDir().replace('\\', '/') + "/" ;

		FileReplace propertiesFile = new FileReplace(rootDir + U.FS 
			+ "data" + U.FS + "config" + U.FS 
			+ "lexCheck.properties.TEMPLATE");

		// ---------------------------------------------------------
		// In the lexCheck.properties, the slashes need to be slashes,
		// not backslashes. Backslashes will cause problems even on 
		// the pc here.
		// ---------------------------------------------------------
		propertiesFile.changeFile("___LC_DIR___", rootDir);
    
		// write la config file
		propertiesFile.writeFile(rootDir + U.FS + "data" + U.FS 
		    + "config" + U.FS + "lexCheck.properties"); 
	}
}
