package gov.nih.nlm.nls.lexCheck.install.utils;

import java.util.*;
import java.io.*;

/**
* Fields is the solution to all your problems! <p>
* 
* Description: java source file. <p>This class does x, y, and z.
* <p> History
*     Tue Feb 06 11:33:41 EST 2001,     divita     Initial Version
* <p>
*/
public class Fields 
{
  public Fields()
  {
  }

  // PUBLIC METHODS

/**
* Method breakIntoFields breaks text into a vector of fields 
* 
* @param String buff 		 The text to be broken up. 
* @param String stringSeparator The break char(s)  
* 
* @returns			Vector
*/
public static Vector<String> breakIntoFields(String buff, 
	String fieldSeparator )
{ 
    Vector<String> returnValue = null;

    StringTokenizer st = new StringTokenizer(buff, fieldSeparator);
    
    if(st.hasMoreElements()) 
	{
    	returnValue = new Vector<String>();
      	while(st.hasMoreElements())
		{
			returnValue.addElement(st.nextToken());
      	}
    }

    return returnValue;
}

/**
* Method getField stupidly returns the field requested. This
* method transforms the string into a vector of strings,
* then returns the field requested. The columns are 0 based,
* that is, the column counter starts with 0.  
* 
* @param String fieldedText      
* @param int columnNumber		
* @param String fieldSeparator
* 
* @returns			String
*/
public static String getField(String fieldedText, int columnNumber, 
	String fieldSeparator)
{ 
    String returnValue = null;
    Vector<String> buff = null;

    StringTokenizer st = new StringTokenizer(fieldedText, fieldSeparator);
    
    if(st.hasMoreElements()) 
	{
    	buff = new Vector<String>();
    	while(st.hasMoreElements())
		{
			buff.addElement(st.nextToken());
      	}
    }

    returnValue = buff.elementAt(columnNumber);
    return returnValue;
}

/**
* Method getFields returns the a string array of fields. 
* This method handles null fields. 
* 
* @param String fieldedText      
* @param String fieldSeparator
* 
* @returns			String[]
*/
public static String[] getFields(String fieldedText, String fieldSeparator)
{
    StringTokenizer st = new StringTokenizer(fieldedText,fieldSeparator,true);
    String buff = null;
    int i = 0;
    int maxElements = st.countTokens();
    String val[] = new String[maxElements];
    
    while(st.hasMoreTokens())
	{
    	buff = st.nextToken();
      	if(buff.compareTo(fieldSeparator) == 0 ) 
		{
			i++;
      	}
      	else 
		{
			val[i] = new String( buff );
      	}
    }

    st = null;
    buff = null;

    return val;
}

/**
* This is a test main, whose purpose is to test the functionality 
* of each method developed for this class.
* 
* This main strives to test the boundary conditions as well as
* some sample common ways each public method is intended to be
* used.  
*
* @param String argv[] 	The command line input, tokenized
*
* @return int  0|-1		0 is returned if no problems, -1 is
* 				is returned if there is a problem.
*/
public final static void main( String argv[] )
{
    int returnValue = 0;

    // Get Options
    if ((argv.length > 0 ) && ( argv[0].equals("-h") ))
    {
       usage();
    }
    else
    {
    }	

    System.exit(returnValue);
}


// ================================================|Usage Header |====
/**
 * Every main should have one. Why? I can't remember. Right! 
 * because I cannot remember the reason or function behind the 5000+
 * functions I have written over the last 6 years, I need some help
 * reminding me what this thing is supposed to do.
 * 
 * The usage has got to be the first thing done before writing any 
 * code. 
 *
 * @Example call
 * 
 *	_usage();
 *	
 *
*/
// ================================================|Usage Header |====
  private static final void usage()
  {


    System.out.println("java Fields [-h]" );
    System.out.println("			-h prints out the help");

    } //*** End usage()


  // ====================
  // Public Declarations
  // ====================



  // ====================
  // Private Declarations
  // ====================

} // End of the Class Fields

