package gov.nih.nlm.nls.lexCheck.Api;
import java.util.*;
import java.io.*;
/*****************************************************************************
* This class provides an Java object for LexCheck API output.
*
* <p><b>History:</b>
* <ul>
* <li>SCR-51, chlu, 12-10-15, build with java 1.8
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class ApiOutput
{
    /**
    * Creates a java object for LexCheck Api output and initiate related data
	*
	* @param  xml xml representation of lexical records
	* @param  recordNum  number of lexical records 
    */
    public ApiOutput(String xml, int recordNum)
    {
        this.xml_ = xml;
        this.recordNum_ = recordNum;
    }
    // public method
    /**
    * A method to set the Xml output
    *
    * @param xml  the Xml output for the lexical records
    */
    public void SetXml(String xml)
    {
        this.xml_ = xml;
    }
    /**
    * A method to set the total number of Lexical records
    *
    * @param recordNum  the total number of Lexical records
    */
    public void SetRecordNum(int recordNum)
    {
        this.recordNum_ = recordNum;
    }
    /**
    * A method to get the Xml output of Lexical records
    *
    * @return the Xml output for the lexical records in String format
    */
    public String GetXml()
    {
        return xml_;
    }
    /**
    * A method to get the total number of Lexical records
    *
    * @return the total number of  of lexical records
    */
    public int GetRecordNum()
    {
        return recordNum_;
    }
    // data member
    private String xml_ = null;
    private int recordNum_ = 0;
}
