package gov.nih.nlm.nls.lexCheck.Cat.Adv;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks modification type for syntactical category of adverb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckFormatAdvModification implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel modification type of adverb.
    *
    * @param   filler   the filler of modification type of adverb.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 9;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("sentence_modifier;manner");
        filler_.add("sentence_modifier;temporal");
        filler_.add("sentence_modifier;locative");
        filler_.add("verb_modifier;manner");
        filler_.add("verb_modifier;temporal");
        filler_.add("verb_modifier;locative");
        filler_.add("particle");
        filler_.add("intensifier");
    }
}
