package gov.nih.nlm.nls.lexCheck.Cat.Adv;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks inflectional variants for syntactical category of adverb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckFormatAdvVariants implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel inflectional variants of adverb.
    *
    * @param   filler   the filler of inflectional variants of adverb.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        if((flag == false) && (filler.startsWith("irreg|")))
        {
            StringTokenizer buf = new StringTokenizer(filler, "|");
            int pipeNum = 0;
            while(buf.hasMoreTokens() == true)
            {
                String token = buf.nextToken();
                pipeNum++;
            }
            //TBD: 
            flag = (pipeNum == 4);
            //flag = (pipeNum == 3);
        }
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 4;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("reg");
        filler_.add("irreg");
        filler_.add("inv");
        filler_.add("inv;periph");
    }
}
