package gov.nih.nlm.nls.lexCheck.Cat;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class check format for category.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckFormatCat implements CheckFormat
{
    // public method
    /**
    * Check the string of a filler to see if it is a legal category
    *
    * @param   filler of category   
    *
    * @return  true or false for a legal and illegal category
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = legalCat_.contains(filler);
        return flag;
    }
    private final static int CAT_NUM = 11;
    private static HashSet<String> legalCat_ = new HashSet<String>(CAT_NUM);
    public final static String VERB = "verb"; 
    public final static String AUX = "aux"; 
    public final static String MODAL = "modal"; 
    public final static String NOUN = "noun"; 
    public final static String PRON = "pron"; 
    public final static String ADJ = "adj"; 
    public final static String ADV = "adv"; 
    public final static String PREP = "prep"; 
    public final static String CONJ = "conj"; 
    public final static String COMPL = "compl"; 
    public final static String DET = "det"; 
    // From Table 3 Syntactic Categories in Technical Report
    static
    {
        legalCat_.add(VERB);
        legalCat_.add(AUX);
        legalCat_.add(MODAL);
        legalCat_.add(NOUN);
        legalCat_.add(PRON);
        legalCat_.add(ADJ);
        legalCat_.add(ADV);
        legalCat_.add(PREP);
        legalCat_.add(CONJ);
        legalCat_.add(COMPL);
        legalCat_.add(DET);
    }
}
