package gov.nih.nlm.nls.lexCheck.Cat.Det;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks inflectional variants for syntactical category of 
* determiner.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckFormatDetVariants implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel variants of determiner.
    *
    * @param   filler   the filler of variants of determiner.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 6;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("sing");
        filler_.add("plur");
        filler_.add("uncount");
        filler_.add("singuncount");
        filler_.add("pluruncount");
        filler_.add("free");
    }
}
