package gov.nih.nlm.nls.lexCheck.Cat.Modal;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks filler format of variants for modal.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckFormatModalVariant implements CheckFormat
{
    // public method
    /**
    * Check a filler to see if it is a legel format of modal variants.
    *
    * @param   filler   the filler of modal.
    *
    * @return  true or false for legal and illegal format of modal variant.
    */
    public boolean IsLegalFormat(String filler)
    {
        int index = filler.indexOf(";");
        String feature = filler.substring(index);
        boolean flag = filler_.contains(feature);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 40;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add(";past(fst_sing)");
        filler_.add(";past(fst_plur)");
        filler_.add(";past(second)");
        filler_.add(";past(sec_sing)");
        filler_.add(";past(sec_plur)");
        filler_.add(";past(third)");
        filler_.add(";past(thr_sing)");
        filler_.add(";past(thr_plur)");
        filler_.add(";pres(fst_sing)");
        filler_.add(";pres(fst_plur)");
        filler_.add(";pres(second)");
        filler_.add(";pres(sec_sing)");
        filler_.add(";pres(sec_plur)");
        filler_.add(";pres(third)");
        filler_.add(";pres(thr_sing)");
        filler_.add(";pres(thr_plur)");
        filler_.add(";past(fst_sing):negative");
        filler_.add(";past(fst_plur):negative");
        filler_.add(";past(second):negative");
        filler_.add(";past(sec_sing):negative");
        filler_.add(";past(sec_plur):negative");
        filler_.add(";past(third):negative");
        filler_.add(";past(thr_sing):negative");
        filler_.add(";past(thr_plur):negative");
        filler_.add(";pres(fst_sing):negative");
        filler_.add(";pres(fst_plur):negative");
        filler_.add(";pres(second):negative");
        filler_.add(";pres(sec_sing):negative");
        filler_.add(";pres(sec_plur):negative");
        filler_.add(";pres(third):negative");
        filler_.add(";pres(thr_sing):negative");
        filler_.add(";pres(thr_plur):negative");
        filler_.add(";past_part");
        filler_.add(";pres_part");
        filler_.add(";pres");
        filler_.add(";past");
        filler_.add(";past_part:negative");
        filler_.add(";pres_part:negative");
        filler_.add(";pres:negative");
        filler_.add(";past:negative");
    }
}
