package gov.nih.nlm.nls.lexCheck.Compl;
import java.util.*;
/*****************************************************************************
* This class checks Noun Phrase Complements format: np|N|.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckNpComp
{
    // public method
    /**
    * Check if the filler is a legal Noun Phrase Complements format: np|N|
    *
    * @param   filler  the filler for checking
    *
    * @return  true or false for a legal or illegal format of Noun Phrase
    *          complement
    */
    public static boolean IsLegal(String filler) 
    {
        boolean flag = true;
        //check if it starts with infcomp
        if((filler.startsWith(KEY_COMPL) == false)
        || (filler.endsWith("|") == false))
        {
            return false;
        }
        // check first preposition
        if((filler.indexOf("|") + 1) == (filler.lastIndexOf("|")))
        {
            return false;
        }
        return flag;
    }
    // private method
    // data member
    private final static String KEY_COMPL = "np|";
    private final static int size_ = KEY_COMPL.length();
}
