package gov.nih.nlm.nls.lexCheck.Gram;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks if the filler is a legal abbreviation format.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckFormatAbbreviation implements CheckFormat
{
    // public method
    /**
    * Check if the filler is a legal abbreviation format.
    *
    * @param   filler  the input filler for checking
    *
    * @return  true or false for a legal or illegal format of abbreviations
    */
    public boolean IsLegalFormat(String filler)
    {
        // in case of no filler
        if((filler == null) || (filler.length() == 0))
        {
            return false;
        }
        int index = filler.indexOf("|");
        boolean flag = true;
        // more than one |
        if(index != filler.lastIndexOf("|"))
        {
            return false;
        }
        else if(index == -1)    // no EUI: abbreviation_of=base
        {
            return true;
        }
        else    // abbreviation: base|EUI
        {
            String base = filler.substring(0, index);
            String eui = filler.substring(index+1);
            flag = ((base.length() > 0) 
                && (checkFormatEui_.IsLegalFormat(eui)));
        }
        return flag;
    }
    private static CheckFormatEui checkFormatEui_ = new CheckFormatEui();
}
