package gov.nih.nlm.nls.lexCheck.Lib;
/*****************************************************************************
* This class provides a Java object for a line statement in a lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class LineObject
{
    /**
    *    Creates a default line object
    */
    public LineObject()
    {
    }
    // public method
    /**
    * Set the line String content of the line object
    *
    * @param  line   the line String content
    */
    public void SetLine(String line)
    {
        line_ = line;
    }
    /**
    * Set the line number of the lexical record for the line object
    *
    * @param  lineNum   the number of the lexical record
    */
    public void SetLineNum(int lineNum)
    {
        lineNum_ = lineNum;
    }
    /**
    * Set the flag of go to next line for the line object
    *
    * @param  goToNext   the flag of go to next
    */
    public void SetGoToNext(boolean goToNext)
    {
        goToNext_ = goToNext;
    }
    /**
    * Get the line String content of the line object
    *
    * @return  the String content of the line
    */
    public String GetLine()
    {
        return line_;
    }
    /**
    * Get the line number of the lexical record for the line object
    *
    * @return  line number of the lexical record
    */
    public int GetLineNum()
    {
        return lineNum_;
    }
    /**
    * Get the flag of go to next line for the line object
    *
    * @return  the flag of go to next line
    */
    public boolean IsGoToNext()
    {
        return goToNext_;
    }
    /**
    * Increase the line number of the lexical record for the line object
    */
    public void IncreaseLineNum()
    {
        lineNum_++;
    }
    // data member
    private String line_ = null;
    private int lineNum_ = 0;
    private boolean goToNext_ = true;
}
