package gov.nih.nlm.nls.lexCheck.Tools;
import java.util.*;
import java.io.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Gram.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a command line program for transferring lexical record 
* to it's XML format.  The input is the filename of the file contains lexical 
* records text.  This program ustilizes ToXmlApi and have same major functions 
* as lexCheck.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class ToXmlFromTextFile
{
    // public method
    /**
    * command line program for transferring lexical record from it's text to 
    * XML format.
	*
	* @param  args  input arguments
    */
    public static void main(String[] args)
    {
        String inFile = "LEXICON";
        String prepositionFile = "../data/Files/prepositions.data";
        boolean verbose = false;
        // from optin String if there are arguments
        if(args.length == 1)
        {
            inFile = args[0];
        }
        else if(args.length == 2)
        {
            inFile = args[0];
            if(args[1].equals("-v") == true)
            {
                verbose=true;
            }
        }
        else if(args.length == 3)
        {
            inFile = args[0];
            if(args[1].equals("-v") == true)
            {
                verbose=true;
            }
            prepositionFile = args[2];
        }
        else if(args.length >= 0)
        {
            System.err.println("** Usage: java ToXmlFromTextFile <inFile> <verbose> <prepositionFile>");
            System.exit(1);
        }
        // set preposition
        GlobalVars.SetPrepositionFile(prepositionFile);
        
        // verbose
        if(verbose == true)
        {
            System.out.println("===== ToXmlFromTextFile.( ) ======");
            System.out.println("-- inFile: [" + inFile + "]");
            System.out.println("-- prepositionsFile: ["
                + GlobalVars.GetPrepositionFile() + "]");
        }
        // Go through LexCheck
        System.out.print(ToXmlApi.ToXmlFromTextFile(inFile).GetXml());
    }
}
